Package org.wso2.carbon.logging.admin.stub

## Class LoggingAdminCallbackHandler

- java.lang.Object
- - org.wso2.carbon.logging.admin.stub.LoggingAdminCallbackHandler

-     public abstract class LoggingAdminCallbackHandler
      extends Object

  LoggingAdminCallbackHandler Callback class, Users can extend this class and implement their own receiveResult and receiveError methods.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Object` | `clientData` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LoggingAdminCallbackHandler()` | Please use this constructor if you don't want to set any clientData
    `LoggingAdminCallbackHandler​(Object clientData)` | User can pass in any object that needs to be accessed once the NonBlocking Web service call is finished and appropriate method of this CallBack is called.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getClientData()` | Get the client data
    `void` | `receiveErrorgetAllLoggerData​(Exception e)` | auto generated Axis2 Error handler override this method for handling error response from getAllLoggerData operation
    `void` | `receiveErrorgetLoggerData​(Exception e)` | auto generated Axis2 Error handler override this method for handling error response from getLoggerData operation
    `void` | `receiveErrorgetLoggers​(Exception e)` | auto generated Axis2 Error handler override this method for handling error response from getLoggers operation
    `void` | `receiveErrorisLoggerExist​(Exception e)` | auto generated Axis2 Error handler override this method for handling error response from isLoggerExist operation
    `void` | `receiveResultgetAllLoggerData​(LoggerData[] result)` | auto generated Axis2 call back method for getAllLoggerData method override this method for handling normal response from getAllLoggerData operation
    `void` | `receiveResultgetLoggerData​(LoggerData result)` | auto generated Axis2 call back method for getLoggerData method override this method for handling normal response from getLoggerData operation
    `void` | `receiveResultgetLoggers​(String result)` | auto generated Axis2 call back method for getLoggers method override this method for handling normal response from getLoggers operation
    `void` | `receiveResultisLoggerExist​(boolean result)` | auto generated Axis2 call back method for isLoggerExist method override this method for handling normal response from isLoggerExist operation

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clientData

          protected Object clientData

  - ### Constructor Detail

    - #### LoggingAdminCallbackHandler

          public LoggingAdminCallbackHandler​(Object clientData)

      User can pass in any object that needs to be accessed once the NonBlocking Web service call is finished and appropriate method of this CallBack is called.
      Parameters:
        `clientData` - Object mechanism by which the user can pass in user data that will be avilable at the time this callback is called.

    - #### LoggingAdminCallbackHandler

          public LoggingAdminCallbackHandler()

      Please use this constructor if you don't want to set any clientData

  - ### Method Detail

    - #### getClientData

          public Object getClientData()

      Get the client data

    - #### receiveResultisLoggerExist

          public void receiveResultisLoggerExist​(boolean result)

      auto generated Axis2 call back method for isLoggerExist method override this method for handling normal response from isLoggerExist operation

    - #### receiveErrorisLoggerExist

          public void receiveErrorisLoggerExist​(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from isLoggerExist operation

    - #### receiveResultgetLoggerData

          public void receiveResultgetLoggerData​(LoggerData result)

      auto generated Axis2 call back method for getLoggerData method override this method for handling normal response from getLoggerData operation

    - #### receiveErrorgetLoggerData

          public void receiveErrorgetLoggerData​(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getLoggerData operation

    - #### receiveResultgetAllLoggerData

          public void receiveResultgetAllLoggerData​(LoggerData[] result)

      auto generated Axis2 call back method for getAllLoggerData method override this method for handling normal response from getAllLoggerData operation

    - #### receiveErrorgetAllLoggerData

          public void receiveErrorgetAllLoggerData​(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getAllLoggerData operation

    - #### receiveResultgetLoggers

          public void receiveResultgetLoggers​(String result)

      auto generated Axis2 call back method for getLoggers method override this method for handling normal response from getLoggers operation

    - #### receiveErrorgetLoggers

          public void receiveErrorgetLoggers​(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getLoggers operation